"use strict";

/* exported logger */

var Helper = require('../helper');

require("../mocha-config.js");

var Panel = require('../../../main/js/gui/Panel');

var chai = require('chai');
var assert = chai.assert;
var logger = require('../logger');

describe('Panel', function() {

  var helper;
  before(function() {
    helper = new Helper();
  });

  it('openDialog', function() {
    var div = helper.createSearchTab();

    var map = helper.createCustomMap();

    var panel = new Panel({
      element : div,
      customMap : map
    });

    var content = document.createElement("div");
    content.innerHTML = "some content";

    var id = 1;
    panel.openDialog(content, {
      id : id
    });

    assert.ok(panel.getDialogDiv(id).innerHTML.indexOf("some content") >= 0);

  });

});
