"use strict";

var Helper = require('../helper');

require("../mocha-config.js");

var ProjectInfoPanel = require('../../../main/js/gui/ProjectInfoPanel');

var chai = require('chai');
var assert = chai.assert;
var logger = require('../logger');

describe('ProjectInfoPanel', function() {

  var helper;
  before(function() {
    helper = new Helper();
  });

  it('contructor', function() {
    var div = testDiv;

    var map = helper.createCustomMap();

    new ProjectInfoPanel({
      element : div,
      customMap : map
    });
    assert.equal(logger.getWarnings().length, 0);
  });

  it('refresh', function() {
    var div = testDiv;
    var panel = new ProjectInfoPanel({
      element : div,
      customMap : helper.createCustomMap(),
    });
    return panel.refresh().then(function(result) {
      assert.ok(div.innerHTML.indexOf("UNKNOWN DISEASE MAP") >= 0);
    });
  });

  it('download source', function() {
    var div = testDiv;
    var panel = new ProjectInfoPanel({
      element : div,
      customMap : helper.createCustomMap(),
    });
    return panel.downloadSourceFile();
  });

  it('show publication list', function() {
    var div = testDiv;
    var panel = new ProjectInfoPanel({
      element : div,
      customMap : helper.createCustomMap(),
    });
    return panel.showPublicationListDialog();
  });

});
