"use strict";

var Helper = require('../helper');

require("../mocha-config.js");

var UserPanel = require('../../../main/js/gui/UserPanel');
var PanelControlElementType = require('../../../main/js/gui/PanelControlElementType');

var chai = require('chai');
var assert = chai.assert;
var logger = require('../logger');

describe('UserPanel', function() {

  var helper;
  before(function() {
    helper = new Helper();
  });

  it('contructor', function() {
    var div = document.createElement("div");

    var map = helper.createCustomMap();

    new UserPanel({
      element : div,
      customMap : map
    });
    assert.equal(logger.getWarnings().length, 0);
  });
  
  it('show profile', function() {
    var div = helper.createUserTab();

    var map = helper.createCustomMap();

    var panel = new UserPanel({
      element : div,
      customMap : map
    });
    
    var user = helper.createUser();
    panel.showUserProfilePage(user);
  });
  
  it('show login page', function() {
    var div = helper.createUserTab();

    var map = helper.createCustomMap();

    var panel = new UserPanel({
      element : div,
      customMap : map
    });
    
    panel.showLoginPage();
  });
  
  it('login', function() {
    var div = helper.createUserTab();

    var map = helper.createCustomMap();

    var panel = new UserPanel({
      element : div,
      customMap : map
    });
    
    return panel.getControlElement(PanelControlElementType.USER_TAB_LOGIN_BUTTON).onclick();
  });
});
